2019-10-23 13:33 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001081FSSCPmultiplayerpublic2007-10-17 21:28
ReporterFUBAR-BDHR 
Assigned Totaylor 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001081: Standalone server disappear from list over time
DescriptionLeaving a standalone server up over a period of time results in its eventual disappearace from the list of available servers. This occurs on both the FS2netD list and the actual game list. Almos always happens unless the server crashes for other reasons.
Additional InformationNo errors are reported but I do notice in the multi.log file that eventually the server quits receiving the pong from the server. I am uploading 2 files containing the logs and config files from each server I left up last night. This was also with the 3.6.9 rc7do8 but was also a problem in 1.3.6. Only other thing I noticed is that when this happens sometimes it leaves a copy of fs2 running in memory on XP.
TagsNo tags attached.
Attached Files
  • rar file icon Media-10-03-06.rar (103,845 bytes) 2006-10-03 16:14
  • rar file icon P3-866-10-03-06.rar (112,177 bytes) 2006-10-03 16:15
  • rar file icon P3-866-10-05-06.rar (328,869 bytes) 2006-10-05 15:58
  • rar file icon Media-10-05-06.rar (107,256 bytes) 2006-10-05 15:58
  • txt file icon dsl.txt (3,469 bytes) 2006-10-05 18:28 -
    Thu Oct 05 06:36:49 2006(UTC) L3      DSLU: Link LOS Failure
    Thu Oct 05 06:36:49 2006(UTC) L3      DSLU: Resetting modem hardware
    Thu Oct 05 06:36:49 2006(UTC) L4      ATM: PHY layer has gone down
    Thu Oct 05 06:36:49 2006(UTC) L3      EDR: (ether/vcc1) AAL5 circuit down
    Thu Oct 05 06:36:49 2006(UTC) L3      IPCP: (pppoe/vcc1) PPP protocol down
    Thu Oct 05 06:36:50 2006(UTC) L4      POE: PPP (pppoe/vcc1) issued an Open command
    Thu Oct 05 06:36:53 2006(UTC) L4      DSL: Init Code Started
    Thu Oct 05 06:36:54 2006(UTC) L4      DSL: Starting Operational Code
    Thu Oct 05 06:36:58 2006(UTC) L3      DSLU: Link Detected
    Thu Oct 05 06:37:06 2006(UTC) L3      DSLU: Link Connected
    Thu Oct 05 06:37:06 2006(UTC) L4      ATM: PHY layer is up, waiting for cell delineation
    Thu Oct 05 06:37:07 2006(UTC) L4      ATM: Cell lock detected
    Thu Oct 05 06:37:07 2006(UTC) L4      ATM: Cell lock verified
    Thu Oct 05 06:37:07 2006(UTC) L3      EDR: (ether/vcc1) AAL5 circuit up
    Thu Oct 05 06:37:07 2006(UTC) L4      POE: Sending delayed PADT packet for PPP (pppoe/vcc1), Session 0xdc1f is closed
    Thu Oct 05 06:37:07 2006(UTC) L3      POE: Sending PADI packet for PPP (pppoe/vcc1)
    Thu Oct 05 06:37:07 2006(UTC) L3      POE: ENET (ether/vcc1) Received PADO packet
    Thu Oct 05 06:37:07 2006(UTC) L3      POE: Sending PADR packet for PPP (pppoe/vcc1)
    Thu Oct 05 06:37:07 2006(UTC) L3      POE: ENET (ether/vcc1) Received PADS packet
    Thu Oct 05 06:37:07 2006(UTC) L3      POE: PPP(pppoe/vcc1) Session ID = 0x2715 is open
    Thu Oct 05 06:37:07 2006(UTC) L3      PPP: (pppoe/vcc1) LCP We processed peer's requests:
    Thu Oct 05 06:37:07 2006(UTC) L3      PPP: (pppoe/vcc1)     max-recv-unit, mru 1492  (ack)
    Thu Oct 05 06:37:07 2006(UTC) L3      PPP: (pppoe/vcc1)     auth-type, auth  (ack)
    Thu Oct 05 06:37:07 2006(UTC) L3      PPP: (pppoe/vcc1)     magic-num, 0x2d1f0573  (ack)
    Thu Oct 05 06:37:07 2006(UTC) L3      PPP: (pppoe/vcc1) LCP Peer acknowledged our requests:
    Thu Oct 05 06:37:07 2006(UTC) L3      PPP: (pppoe/vcc1)     mru 1492
    Thu Oct 05 06:37:07 2006(UTC) L3      PPP: (pppoe/vcc1)     magic-num, 0x9b739f50
    Thu Oct 05 06:37:09 2006(UTC) L3      PPP: (pppoe/vcc1) PAP authentication success reported by peer
    Thu Oct 05 06:37:09 2006(UTC) L3      IPCP: (pppoe/vcc1) Resettings options: ip (0.0.0.0), dns (0.0.0.0, 0.0.0.0)
    Thu Oct 05 06:37:09 2006(UTC) L3      IPCP: (pppoe/vcc1) IPCP We acknowledged peer's requests:
    Thu Oct 05 06:37:09 2006(UTC) L3      IPCP: (pppoe/vcc1)      IP-Addr: peer-addr 75.32.155.254 
    Thu Oct 05 06:37:09 2006(UTC) L3      IPCP: (pppoe/vcc1) Peer Nak'd our addr (0.0.0.0) with addr (75.32.154.230); accepting peer's address preference
    Thu Oct 05 06:37:09 2006(UTC) L3      IPCP: (pppoe/vcc1) Peer Nak'd our primary DNS (0.0.0.0) with (206.141.193.55); accepting peer's primary DNS address
    Thu Oct 05 06:37:09 2006(UTC) L3      IPCP: (pppoe/vcc1) Peer Nak'd our secondary DNS (0.0.0.0) with (66.73.20.40); accepting peer's secondary DNS address
    Thu Oct 05 06:37:09 2006(UTC) L3      IPCP: (pppoe/vcc1) IPCP Peer acknowledged our request:
    Thu Oct 05 06:37:09 2006(UTC) L3      IPCP: (pppoe/vcc1)      IP-Addr: local-addr 75.32.154.230
    Thu Oct 05 06:37:09 2006(UTC) L3      IPCP: (pppoe/vcc1)      Primary DNS: 206.141.193.55
    Thu Oct 05 06:37:09 2006(UTC) L3      IPCP: (pppoe/vcc1)      Secondary DNS: 66.73.20.40
    Thu Oct 05 06:37:09 2006(UTC) L3      IPCP: (pppoe/vcc1) IP up, local 75.32.154.230, remote 75.32.155.254
    txt file icon dsl.txt (3,469 bytes) 2006-10-05 18:28 +

-Relationships
+Relationships

-Notes

~0006793

taylor (administrator)

The FS2NetD server was restarted in the morning, so that's probably why it dropped you offline then (the times from you log appear to match up).

You have said that this happens at other times as well though correct? I'll need logs from another session in which the server didn't go offline in order to try and track this down (I need logs from both sides, but with the server down it obviously wasn't logging at the time).

~0006794

taylor (administrator)

Ok, think I can get this worked out on a real case. I added some code to make sure that a pong is received within 2 minutes of a ping being sent. If it doesn't get the pong then the connection is assumed to be dead and it is reset. If it still can't connect then it gives an error popup (but not with a standalone server) and then FS2NetD support is disabled until you try to reconnect (either by restarting the standalone server in that case, or exiting back to the mainhall and then going back in).

This condition (that the connection was dropped, was or wasn't restored) is logged to the multi log too.

For now this is in the new FS2NetD code that I'm working on. Not sure when this will be in a testable build but I'll leave this bug open until then at least.

~0006796

martellato (reporter)

That'll be a great-to-have - obviously it will mean that standalones will be able to run more resiliently without needed monitoring & restarting.

If you need another log from such a case, I have one from today. But it sounded like you didn't need more...

~0006806

taylor (administrator)

Last edited: 2006-10-05 16:27

In the new set of logs (@FUBAR) the server registered you as logging off at the time the connection to the server appears to have dropped in your logs. This is on IP 75.32.154.227.

On IP 75.36.28.146 the same thing happened at the exact same time. For this IP it has you logging back on at around 16:05 (GMT-6).

Neither set of logs gives much in the way of useful info, but the problem would appear to be client side rather than server side. From the logs it appears that the client side sent a ping, the server responded with a pong less than a second later, and the client logged off almost immediately.

Hopefully the new changes will fix all of that though.

edited on: 10-05-06 16:27

~0006809

FUBAR-BDHR (developer)

Last edited: 2006-10-05 18:29

Looks like my DSL was reset early today. That might be the reason for the disconnect. The only thing that doesn't make sense is the times don't match up.

edited on: 10-05-06 18:29

~0006949

taylor (administrator)

Just marking as feedback those bugs which should either be fixed in the next available build from me, or need to be tested as fixed in the next available build.

(There are so many new bugs right now, it's easier for me to keep up with the fixed or almost-fixed bugs this way.)

~0008568

taylor (administrator)

Give the test build a try and let me know if this still happens:
http://www.hard-light.net/forums/index.php/topic,49939.0.html

I think that this is fixed, but I can't really say for sure. I just know that I was unable to reproduce it.

~0008577

taylor (administrator)

Assuming that this is fixed, but reopen if you are able to replicate it in a newer build.
+Notes

-Issue History
Date Modified Username Field Change
2006-10-03 16:14 FUBAR-BDHR New Issue
2006-10-03 16:14 FUBAR-BDHR File Added: Media-10-03-06.rar
2006-10-03 16:15 FUBAR-BDHR File Added: P3-866-10-03-06.rar
2006-10-03 22:48 taylor Note Added: 0006793
2006-10-04 11:31 Goober5000 Category --------- => multiplayer
2006-10-04 11:56 taylor Note Added: 0006794
2006-10-04 11:56 taylor Status new => assigned
2006-10-04 11:56 taylor Assigned To => taylor
2006-10-04 17:20 martellato Note Added: 0006796
2006-10-05 15:58 FUBAR-BDHR File Added: P3-866-10-05-06.rar
2006-10-05 15:58 FUBAR-BDHR File Added: Media-10-05-06.rar
2006-10-05 16:26 taylor Note Added: 0006806
2006-10-05 16:27 taylor Note Edited: 0006806
2006-10-05 18:28 FUBAR-BDHR File Added: dsl.txt
2006-10-05 18:29 FUBAR-BDHR Note Added: 0006809
2006-10-05 18:29 FUBAR-BDHR Note Edited: 0006809
2006-10-21 00:32 taylor Note Added: 0006949
2006-10-21 00:32 taylor Status assigned => feedback
2007-10-15 07:16 taylor Note Added: 0008568
2007-10-17 21:28 taylor Status feedback => resolved
2007-10-17 21:28 taylor Fixed in Version => 3.6.10
2007-10-17 21:28 taylor Resolution open => fixed
2007-10-17 21:28 taylor Note Added: 0008577
+Issue History